Loading...
Searching...
No Matches
net::PortForwardingSettings Struct Reference

Port forwarding settings. More...

`import <Net.idl;`

## Public Attributes

boolean | enabled
| Controls if port forwarding is enabled.
PortForwardingRole | role
| The role of the node (primary unit or expansion unit)
string | primaryUnitDownstreamIfName
| Primary unit downstream interface (usb: any USB iface)

## Detailed Description

Port forwarding settings.

Definition at line 33 of file Net.idl.

## Member Data Documentation

## enabled

boolean net::PortForwardingSettings::enabled

Controls if port forwarding is enabled.

Definition at line 34 of file Net.idl.

## primaryUnitDownstreamIfName

string net::PortForwardingSettings::primaryUnitDownstreamIfName

Primary unit downstream interface (usb: any USB iface)

Definition at line 36 of file Net.idl.

## role

PortForwardingRole net::PortForwardingSettings::role

The role of the node (primary unit or expansion unit)

Definition at line 35 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl